parameters:
    whoiswhere.version_data:
        author: dmzx - martin
        title: Who is Where
        version: whoiswhere_version
        file:
            - www.dmzx-web.net
            - /versions
            - whoiswhere_version.json

services:
    dmzx.whoiswhere.controller:
        class: dmzx\whoiswhere\controller\main_controller
        arguments:
            - '@request'
            - '@user'
            - '@template'
            - '@dmzx.whoiswhere.functions'
            - '@auth'
            - '@dbal.conn'
            - '@config'
            - '@controller.helper'
            - '%core.root_path%'
            - '%core.php_ext%'
            - '%core.adm_relative_path%'
    dmzx.whoiswhere.functions:
        class: dmzx\whoiswhere\core\functions
        arguments:
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '%core.php_ext%'
    dmzx.whoiswhere.version.check:
        class: dmzx\whoiswhere\includes\version_check
        scope: prototype
        arguments:
            - '%whoiswhere.version_data%'
            - '@config'
            - '@version_helper'
            - '@template'
            - '@user'
    dmzx.whoiswhere.admin.controller:
        class: dmzx\whoiswhere\controller\admin_controller
        arguments:
            - '@config'
            - '@template'
            - '@log'
            - '@user'
            - '@service_container'
            - '@request'
    dmzx.whoiswhere.listener:
        class: dmzx\whoiswhere\event\listener
        arguments:
            - '@user'
            - '@template'
            - '@auth'
            - '@config'
            - '@controller.helper'
            - '@?files.factory'
            - '@ext.manager'
        tags:
            - { name: event.listener }
